> ## Documentation Index
> Fetch the complete documentation index at: https://docs.mixpanel.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Run an import

> Triggers an immediate sync for a given warehouse import.




## OpenAPI

````yaml openapi/warehouse-connectors.openapi.yaml PUT /projects/{projectId}/warehouse-sources/imports/{importId}/manual-sync
openapi: 3.0.2
info:
  title: Warehouse Connectors API
  description: >
    Connect an external warehouse to import events, users, groups, and lookup
    tables.


    This API allows you to manage warehouse imports from external data
    warehouses including

    BigQuery, Snowflake, Redshift, Databricks, and PostgreSQL.
  license:
    name: MIT
    url: https://opensource.org/licenses/MIT
  version: 1.0.0
  contact:
    url: https://mixpanel.com/get-support
servers:
  - url: https://{regionAndDomain}.com/api/app
    description: Mixpanel's application API server.
    variables:
      regionAndDomain:
        default: mixpanel
        enum:
          - mixpanel
          - eu.mixpanel
          - in.mixpanel
        description: |
          The server location to be used:
            * `mixpanel` - The default (US) servers used for most projects
            * `eu.mixpanel` - EU servers if you are enrolled in EU Data Residency
            * `in.mixpanel` - India servers if you are enrolled in India Data Residency
security:
  - ServiceAccount: []
tags:
  - name: Warehouse Imports
    description: Manage warehouse data imports
paths:
  /projects/{projectId}/warehouse-sources/imports/{importId}/manual-sync:
    put:
      tags:
        - Warehouse Imports
      summary: Run an import
      description: |
        Triggers an immediate sync for a given warehouse import.
      operationId: run-an-import
      parameters:
        - in: path
          name: projectId
          schema:
            type: integer
          required: true
          description: 'Your project id (eg: 12345)'
        - in: path
          name: importId
          schema:
            type: integer
          required: true
          description: 'Your warehouse import id (eg: 12345)'
      requestBody:
        required: true
        content:
          application/json: {}
      responses:
        '200':
          description: Success
          content:
            application/json:
              schema:
                type: object
                properties:
                  status:
                    type: string
                    description: '"ok" if the request succeeded, "error" otherwise.'
                    example: ok
                    enum:
                      - ok
                  results:
                    type: object
                    properties:
                      run_id:
                        type: string
                        description: The unique identifier for the triggered sync run.
        '401':
          description: Unauthorized
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    type: string
                    description: Details about the error that occurred
                  status:
                    type: string
                    enum:
                      - error
        '403':
          description: Forbidden
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    type: string
                    description: Details about the error that occurred
                  status:
                    type: string
                    enum:
                      - error
        '404':
          description: Not Found
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    type: string
                    description: Details about the error that occurred
                  status:
                    type: string
                    enum:
                      - error
components:
  securitySchemes:
    ServiceAccount:
      type: http
      scheme: basic
      description: Service Account

````